namespace EDPlayerJournal.Entries;

public class CapShipBondEntry : Entry {
    /// <summary>
    /// Reward gained
    /// </summary>
    public ulong Reward { get; set; } = 0;

    /// <summary>
    /// Victim faction, i.e. to whom the cap ship belongs
    /// </summary>
    public string? VictimFaction { get; set; }

    /// <summary>
    /// Awarding faction.
    /// </summary>
    public string? AwardingFaction { get; set; }

    protected override void Initialise() {
        Reward = JSON.Value<ulong?>("Reward") ?? 0;
        VictimFaction = JSON.Value<string?>("VictimFaction");
        AwardingFaction = JSON.Value<string?>("AwardingFaction");
    }
}
